terraform {
  required_providers {
    namecheap = {
      source = "namecheap/namecheap"
      version = "~> 2.1.0"
    }
  }

  backend "http" {
    address        = "https://asciireactor.com/api/v4/projects/131/terraform/state/dns"
    lock_address   = "https://asciireactor.com/api/v4/projects/131/terraform/state/dns/lock"
    unlock_address = "https://asciireactor.com/api/v4/projects/131/terraform/state/dns/lock"
    lock_method    = "POST"
    unlock_method  = "DELETE"
    retry_wait_min = 5
  }
}

provider "namecheap" {}

resource "namecheap_domain_records" "othonotes-com" {
  domain = "othonotes.com"
    record {
        address  = "rprxy-0.saline.o4data.net"
        hostname = "@"
        type     = "ALIAS"
        ttl      = 300
    }
    record {
        address  = "othonotes.com."
        hostname = "www"
        type     = "CNAME"
    }
}

resource "namecheap_domain_records" "othostash-com" {
  domain = "othostash.com"

    record {
        address  = "96.78.236.124"
        hostname = "@"
        type     = "A"
    }
    record {
        address  = "othostash.com."
        hostname = "www"
        type     = "CNAME"
    }
}
